Page MenuHomePhabricator

Phlogiston can learn about new projects in a scope without manual updating.
Closed, ResolvedPublic1 Estimated Story Points

Description

As a team ScrumMaster or Product Owner, I would like Phlogiston to automatically learn about new projects to include in scope of reporting for my team, so that I don't have to keep Phlogiston manually up to date.

Solution Design A:
Create all projects for a team with a consistent naming convention and specify a wildcard in the scope file.

Solution Design B:
The project description of Wikipedia-iOS-App-Backlog has a list of projects that Phlogiston should track. As a project is created, it is documented there, and then added to scope and recat files. This is a lossy and manual process. Ideally, Phlogiston would run a script that would understand when that list is added to, and start tracking that project. In the current implementation, that would mean scraping the Wikipedia-iOS-App-Backlog project description for text (such as starting with "#"). I can envision a better solution wherein the projects being tracked are subprojects and milestones of Wikipedia-iOS-App-Backlog , which would theoretically make it easier for Phlog to find.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 9 2016, 12:46 AM
JAufrecht renamed this task from Phlogiston: Request -- A way to automatically track a list of projects, as the projects get updated to Phlogiston can learn about new projects in a scope without manual updating..Jul 11 2016, 7:48 PM
JAufrecht triaged this task as Medium priority.
JAufrecht added a project: User-JAufrecht.

@MBinder_WMF: If Phlogiston's configuration accepted wildcards, such as "Wikipedia-iOS-App-*", would that adequately solve the problem? I think that's a lot simpler to build and make reliable than finding and scraping (and auto-scraping) a Phabricator project page. It would require teams to be more consistent and stable in naming conventions than I have observed to date.

Judged lower-priority than the Phate of Phlogiston tasks and so removed from the Team-Practices backlog. @MBinder_WMF, is this okay or are these higher priority?

@JAufrecht Not a high priority. I think wildcards is an acceptable solution. For now, I control the project naming convention. In the future, the solution may be Milestone-oriented. See discussion at T138975: Migrating projects to subprojects for Apps teams

JAufrecht edited projects, added Phlogiston (Reporting); removed Phlogiston.
JAufrecht set the point value for this task to 1.Aug 15 2016, 9:29 PM

After evaluating T119025, please indicate if that satisfies this use case as well.

bumping to see if it can be closed

MBinder_WMF closed this task as Resolved.Oct 4 2016, 10:02 PM